<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>IO</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/IO.html" target="_top">Frames</a></li>
<li><a href="IO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic</div>
<h2 title="Class IO" class="title">Class IO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.IO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">IO</span>
extends java.lang.Object</pre>
<div class="block">A class which contains the input and output stream for the game.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#in">in</a></span></code>
<div class="block">The input stream of the game
 For all input which are ment for the player should be printed using this <code>InputStream</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.io.PrintStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#out">out</a></span></code>
<div class="block">The output stream of the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#parser">parser</a></span></code>
<div class="block">The parser which should be use for all parsing</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#IO--">IO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#getIn--">getIn</a></span>()</code>
<div class="block">Returns the input stream of the game
 For all input which are ment for the player should be printed using this <code>PrintStream</code></div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.io.PrintStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#getOut--">getOut</a></span>()</code>
<div class="block">Returns the output stream of the game.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#getParser--">getParser</a></span>()</code>
<div class="block">Returns the parser which uses the input stream of the game</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#printf-ch.sebi.zuul.logic.Color-ch.sebi.zuul.logic.Color-java.lang.String-java.lang.Object...-">printf</a></span>(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
      <a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;bgColor,
      java.lang.String&nbsp;format,
      java.lang.Object...&nbsp;args)</code>
<div class="block">Prints the format with the args in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#printf-ch.sebi.zuul.logic.Color-java.lang.String-java.lang.Object...-">printf</a></span>(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
      java.lang.String&nbsp;format,
      java.lang.Object...&nbsp;args)</code>
<div class="block">Prints the format with the args in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#printf-java.lang.String-java.lang.Object...-">printf</a></span>(java.lang.String&nbsp;format,
      java.lang.Object...&nbsp;args)</code>
<div class="block">Prints the format with the args in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#println--">println</a></span>()</code>
<div class="block">Prints an empty line in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#println-ch.sebi.zuul.logic.Color-ch.sebi.zuul.logic.Color-java.lang.String-">println</a></span>(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
       <a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;bgColor,
       java.lang.String&nbsp;string)</code>
<div class="block">Prints the given string in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#println-ch.sebi.zuul.logic.Color-java.lang.String-">println</a></span>(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
       java.lang.String&nbsp;string)</code>
<div class="block">Prints the given string in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/IO.html#println-java.lang.String-">println</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Prints the given string in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="out">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>out</h4>
<pre>private static&nbsp;java.io.PrintStream out</pre>
<div class="block">The output stream of the game.
 For all outputs which are ment for the player should be printed using this <code>PrintStream</code></div>
</li>
</ul>
<a name="in">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>in</h4>
<pre>private static&nbsp;java.io.InputStream in</pre>
<div class="block">The input stream of the game
 For all input which are ment for the player should be printed using this <code>InputStream</code></div>
</li>
</ul>
<a name="parser">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>parser</h4>
<pre>private static&nbsp;<a href="../../../../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a> parser</pre>
<div class="block">The parser which should be use for all parsing</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IO</h4>
<pre>public&nbsp;IO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOut</h4>
<pre>public static&nbsp;java.io.PrintStream&nbsp;getOut()</pre>
<div class="block">Returns the output stream of the game.
 For all outputs which are ment for the player should be printed using this <code>PrintStream</code></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the output stream</dd>
</dl>
</li>
</ul>
<a name="getIn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIn</h4>
<pre>public static&nbsp;java.io.InputStream&nbsp;getIn()</pre>
<div class="block">Returns the input stream of the game
 For all input which are ment for the player should be printed using this <code>PrintStream</code></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the input stream</dd>
</dl>
</li>
</ul>
<a name="getParser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParser</h4>
<pre>public static&nbsp;<a href="../../../../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a>&nbsp;getParser()</pre>
<div class="block">Returns the parser which uses the input stream of the game</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parser</dd>
</dl>
</li>
</ul>
<a name="println--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>println</h4>
<pre>public static&nbsp;void&nbsp;println()</pre>
<div class="block">Prints an empty line in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
</li>
</ul>
<a name="println-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>println</h4>
<pre>public static&nbsp;void&nbsp;println(java.lang.String&nbsp;string)</pre>
<div class="block">Prints the given string in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - the string which is printed</dd>
</dl>
</li>
</ul>
<a name="println-ch.sebi.zuul.logic.Color-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>println</h4>
<pre>public static&nbsp;void&nbsp;println(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
                           java.lang.String&nbsp;string)</pre>
<div class="block">Prints the given string in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - sets the color of the text for this output</dd>
<dd><code>string</code> - the string which is printed</dd>
</dl>
</li>
</ul>
<a name="println-ch.sebi.zuul.logic.Color-ch.sebi.zuul.logic.Color-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>println</h4>
<pre>public static&nbsp;void&nbsp;println(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
                           <a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;bgColor,
                           java.lang.String&nbsp;string)</pre>
<div class="block">Prints the given string in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - sets the color of the text for this output</dd>
<dd><code>bgColor</code> - sets the color of the background for this text</dd>
<dd><code>string</code> - the string which is printed</dd>
</dl>
</li>
</ul>
<a name="printf-java.lang.String-java.lang.Object...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printf</h4>
<pre>public static&nbsp;void&nbsp;printf(java.lang.String&nbsp;format,
                          java.lang.Object...&nbsp;args)</pre>
<div class="block">Prints the format with the args in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream.<br/>
 The function internally calls <code>PrintStream.printf(String, Object...)</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>format</code> - the format</dd>
<dd><code>args</code> - the arguments to the format</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>PrintStream.printf(String, Object...)</code></dd>
</dl>
</li>
</ul>
<a name="printf-ch.sebi.zuul.logic.Color-java.lang.String-java.lang.Object...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printf</h4>
<pre>public static&nbsp;void&nbsp;printf(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
                          java.lang.String&nbsp;format,
                          java.lang.Object...&nbsp;args)</pre>
<div class="block">Prints the format with the args in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream.<br/>
 The function internally calls <code>PrintStream.printf(String, Object...)</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - the color of the text</dd>
<dd><code>format</code> - the format</dd>
<dd><code>args</code> - the arguments to the format</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>PrintStream.printf(String, Object...)</code></dd>
</dl>
</li>
</ul>
<a name="printf-ch.sebi.zuul.logic.Color-ch.sebi.zuul.logic.Color-java.lang.String-java.lang.Object...-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>printf</h4>
<pre>public static&nbsp;void&nbsp;printf(<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;color,
                          <a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;bgColor,
                          java.lang.String&nbsp;format,
                          java.lang.Object...&nbsp;args)</pre>
<div class="block">Prints the format with the args in the <a href="../../../../ch/sebi/zuul/logic/IO.html#out"><code>out</code></a> stream.<br/>
 The function internally calls <code>PrintStream.printf(String, Object...)</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - the color of the text</dd>
<dd><code>bgColor</code> - the color of the background</dd>
<dd><code>format</code> - the format</dd>
<dd><code>args</code> - the arguments to the format</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>PrintStream.printf(String, Object...)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/IO.html" target="_top">Frames</a></li>
<li><a href="IO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
